<?php

namespace PurchasingBundle\Repository;

use Psr\Log\LoggerInterface;
use PurchasingBundle\Entity\OptionalStructure;
use Schema\SchemaEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;
use Utils\StaticUtil\LogUtils;

/**
 * OptionalStructureRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class OptionalStructureRepository extends SchemaEntityRepository {

    /** @var LoggerInterface $logger */
    private $logger;

    /**
     * OptionalStructureRepository constructor.
     * @param ManagerRegistry $registry
     * @param LoggerInterface $logger
     */
    public function __construct(ManagerRegistry $registry, LoggerInterface $logger) {
        parent::__construct($registry, OptionalStructure::class);

        $this->logger = $logger;
    }

}
